Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 1287063004: [es6] Implement default parameters (Closed)

Created:
3 years, 11 months ago by rossberg
Modified:
3 years, 11 months ago
Reviewers:
wingo, Dan Ehrenberg, adamk
CC:
v8-dev, caitp (gmail)
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[es6] Implement default parameters Based on caitp's https://codereview.chromium.org/1127063003/ R=adamk@chromium.org, littledan@chromium.org BUG=v8:2160 LOG=N Committed: https://crrev.com/6dda11ff81a08c2790f963f100d94bba4a6f28b8 Cr-Commit-Position: refs/heads/master@{#30192}

Patch Set 1 #

Total comments: 9

Patch Set 2 : Comments addressed #

Patch Set 3 : Rebase #

Patch Set 4 : Fix TODO #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+390 lines, -34 lines) Patch
M src/bootstrapper.cc View 1 2 3 chunks +3 lines, -0 lines 0 comments Download
M src/flag-definitions.h View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M src/parser.h View 3 chunks +13 lines, -7 lines 0 comments Download
M src/parser.cc View 1 2 3 4 chunks +30 lines, -3 lines 2 comments Download
M src/preparser.h View 1 2 3 7 chunks +29 lines, -19 lines 0 comments Download
A test/mjsunit/harmony/default-parameters.js View 1 1 chunk +251 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/default-parameters-debug.js View 1 chunk +58 lines, -0 lines 0 comments Download
M test/mjsunit/harmony/destructuring.js View 4 chunks +5 lines, -5 lines 0 comments Download

Messages

Total messages: 28 (10 generated)
rossberg
3 years, 11 months ago (2015-08-12 15:01:41 UTC) #1
rossberg
https://codereview.chromium.org/1287063004/diff/1/src/parser.cc File src/parser.cc (right): https://codereview.chromium.org/1287063004/diff/1/src/parser.cc#newcode3908 src/parser.cc:3908: // TODO(rossberg): allow initializers Need to come up with ...
3 years, 11 months ago (2015-08-12 15:20:28 UTC) #2
adamk
https://codereview.chromium.org/1287063004/diff/1/src/parser.cc File src/parser.cc (right): https://codereview.chromium.org/1287063004/diff/1/src/parser.cc#newcode4328 src/parser.cc:4328: Expression* param = I think this should be called ...
3 years, 11 months ago (2015-08-12 18:22:59 UTC) #3
rossberg
https://codereview.chromium.org/1287063004/diff/1/src/parser.cc File src/parser.cc (right): https://codereview.chromium.org/1287063004/diff/1/src/parser.cc#newcode4328 src/parser.cc:4328: Expression* param = On 2015/08/12 18:22:59, adamk wrote: > ...
3 years, 11 months ago (2015-08-13 11:06:37 UTC) #4
adamk
lgtm (presuming you'll land the pulled-out patch first).
3 years, 11 months ago (2015-08-13 17:15:12 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1287063004/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1287063004/20001
3 years, 11 months ago (2015-08-13 18:10:34 UTC) #7
commit-bot: I haz the power
Try jobs failed on following builders: v8_linux_dbg on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_linux_dbg/builds/7599)
3 years, 11 months ago (2015-08-13 18:11:19 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1287063004/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1287063004/20001
3 years, 11 months ago (2015-08-13 18:39:42 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: v8_mac_rel on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_mac_rel/builds/8653) v8_presubmit on tryserver.v8 (JOB_FAILED, ...
3 years, 11 months ago (2015-08-13 18:40:34 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1287063004/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1287063004/40001
3 years, 11 months ago (2015-08-17 09:01:17 UTC) #16
commit-bot: I haz the power
Try jobs failed on following builders: v8_mac_rel on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_mac_rel/builds/8701)
3 years, 11 months ago (2015-08-17 09:11:48 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1287063004/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1287063004/60001
3 years, 11 months ago (2015-08-17 11:13:05 UTC) #21
commit-bot: I haz the power
Committed patchset #4 (id:60001)
3 years, 11 months ago (2015-08-17 12:02:00 UTC) #22
commit-bot: I haz the power
Patchset 4 (id:??) landed as https://crrev.com/6dda11ff81a08c2790f963f100d94bba4a6f28b8 Cr-Commit-Position: refs/heads/master@{#30192}
3 years, 11 months ago (2015-08-17 12:02:20 UTC) #23
wingo
https://codereview.chromium.org/1287063004/diff/60001/src/parser.cc File src/parser.cc (right): https://codereview.chromium.org/1287063004/diff/60001/src/parser.cc#newcode3916 src/parser.cc:3916: parser_->Check(Token::ASSIGN)) { How on earth does this work? This ...
3 years, 11 months ago (2015-08-24 14:10:10 UTC) #25
rossberg
https://codereview.chromium.org/1287063004/diff/60001/src/parser.cc File src/parser.cc (right): https://codereview.chromium.org/1287063004/diff/60001/src/parser.cc#newcode3916 src/parser.cc:3916: parser_->Check(Token::ASSIGN)) { On 2015/08/24 14:10:10, wingo wrote: > How ...
3 years, 11 months ago (2015-08-24 14:18:15 UTC) #26
wingo
On 2015/08/24 14:18:15, rossberg wrote: > https://codereview.chromium.org/1287063004/diff/60001/src/parser.cc > File src/parser.cc (right): > > https://codereview.chromium.org/1287063004/diff/60001/src/parser.cc#newcode3916 > ...
3 years, 11 months ago (2015-08-24 14:26:43 UTC) #27
rossberg
3 years, 11 months ago (2015-08-24 15:19:50 UTC) #28
Message was sent while issue was closed.
https://codereview.chromium.org/1314543005

Powered by Google App Engine
This is Rietveld 408576698